SerializableClobProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc
Class SerializableClobProxy

    java.lang.Object
      org.hibernate.engine.jdbc.SerializableClobProxy

All Implemented Interfaces:
  Serializable, InvocationHandler

Direct Known Subclasses:
  SerializableNClobProxy

    public class SerializableClobProxy

extends Object
implements InvocationHandler, Serializable

Manages aspects of proxying `Clobs` to add serializability.

See Also:
  Serialized Form

Constructor Summary
`protected` | `SerializableClobProxy(Clob clob)` Builds a serializable `Clob` wrapper around the given `Clob`.

Method Summary
`static Clob` | `generateProxy(Clob clob)` Generates a SerializableClobProxy proxy wrapping the provided Clob object.
`static ClassLoader` | `getProxyClassLoader()` Determines the appropriate class loader to which the generated proxy should be scoped.
`Clob` | `getWrappedClob()`
`Object` | `invoke(Object proxy, Method method, Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializableClobProxy

    protected SerializableClobProxy(Clob clob)

  Builds a serializable `Clob` wrapper around the given `Clob`.

  Parameters:
    `clob` - The `Clob` to be wrapped.
  See Also:
    `generateProxy(java.sql.Clob)`

Method Detail

### getWrappedClob

    public Clob getWrappedClob()

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### generateProxy

    public static Clob generateProxy(Clob clob)

  Generates a SerializableClobProxy proxy wrapping the provided Clob object.

  Parameters:
    `clob` - The Clob to wrap.
  Returns:
    The generated proxy.

### getProxyClassLoader

    public static ClassLoader getProxyClassLoader()

  Determines the appropriate class loader to which the generated proxy should be scoped.

  Returns:
    The class loader appropriate for proxy construction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.